SpriteLibrary
SpriteLibrary
SpriteLibrary
Sprite Class
Sprite.SpriteEventHandler Delegate
SpriteAdjustmentRatio Structure
SpriteCollisionMethod Enumeration
SpriteController Class
SpriteEventArgs Class
SpriteKeyEventHandler Delegate
SpritePauseType Enumeration
SpritePayload Class

SpriteCollisionMethod Enumeration

The various types of collisions a sprite can have. Currently only rectangle works. The other types were added when I thought the different types of collision types were needed. Someday we may add these if we find they are useful, or if someone else decides they want to help program the SpriteLibrary. These values are primarily used in Sprite Events

Namespace: SpriteLibrary
Assembly: SpriteLibrary (in SpriteLibrary.dll) Version: 1.0.0.5 (1.0.0.5)
Syntax
C#
Copy

    public enum SpriteCollisionMethod

Members

| Member name | Value | Description
--- | --- | --- | ---
| rectangle | 0 | Checks if the two rectangles that contain the sprites overlap. Each rectangle is the starting location of the sprite (top left) with the sprite width, and height marking the other sides of the rectangle.
| circle | 1 | Draws a circle (ellipse) inside the sprite rectangles and see if those ellipses overlap
| transparency | 2 | Check to see if nontransparent portions of a sprite collide. Not working.

See Also

#### Reference

SpriteLibrary Namespace